<bugID>403720<Summary>Larry popup misplaced after restoring default toolbar set</Summary><Description>User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9b2pre) Gecko/2007111312 Minefield/3.0b2pre
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9b2pre) Gecko/2007111312 Minefield/3.0b2pre

The larry (identity) popup is misplaced after restoring default tolbar set.

Reproducible: Always

Steps to Reproduce:
1. Start Firefox
2. Customize Toolbar
3. Click "Restore Default Set"
4. Exit Customization Mode
5. Click favicon
Actual Results:  
Larry popup under firefox window (over start button)

Expected Results:  
Larry popup at default position</Description></bugID>